Package ru.bitel.bgbilling.modules.rcmts.server.bean

# Interface RCMtsResponseBuilder

public interface RCMtsResponseBuilder
Обязательные методы для реализации с МТС в рамках интеграции с "Красный конвергент"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `blockVGroups()`
  Запрос на блокировку/разблокировку учетной записи.
  `void`
  `deleteTariffSchedule()`
  Удаление запланированного тарифа из "тарифного расписания".
  `void`
  `getAccounts()`
  Получение полной информации о пользователе В запросе: argmnum - contractTitle с префиксом договора, который был заведен в конфигурации модуля, userid - cid договора В ответе передаётся информация о договоре, включая ФИО и баланс
  `void`
  `getAgreements()`
  Получение подробной информации о лицевом счете В запросе agrmid - идентификатор лицового счета(cid договора) В ответе: uid - cid, agrmid - cid, PaymentMethod - предустановленное значение из конфига модуля
  `void`
  `getTariffSchedule()`
  Запрос "тарифного присписания".
  `void`
  `getVGroups()`
  Получение списка продуктовых учетных записей по заданному договору.
  `void`
  `response(RCMtsRequestMethod requestMethod)`
  Построение ответа в зависимости от типа запроса
  `void`
  `setTariffSchedule()`
  Активация/деактивация(развал пакета).

- ## Method Details

  - ### getAccounts

    void getAccounts() throws Exception
    Получение полной информации о пользователе В запросе: argmnum - contractTitle с префиксом договора, который был заведен в конфигурации модуля, userid - cid договора В ответе передаётся информация о договоре, включая ФИО и баланс
    Throws:
      `IOException`
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### getAgreements

    void getAgreements() throws Exception
    Получение подробной информации о лицевом счете В запросе agrmid - идентификатор лицового счета(cid договора) В ответе: uid - cid, agrmid - cid, PaymentMethod - предустановленное значение из конфига модуля
    Throws:
      `IOException`
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### getVGroups

    void getVGroups() throws Exception
    Получение списка продуктовых учетных записей по заданному договору. В запросе передаются userid, agrmid, uid - что в нашем случае всё означает id договора(cid) В ответе передаётся информация об активных продуктах(тарифных опциях), с которыми может взаимодействовать МТС
    Throws:
      `IOException`
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### getTariffSchedule

    void getTariffSchedule() throws Exception
    Запрос "тарифного присписания". Т.е., если запланирован какой то тариф в будущем для установки В запросе приходит vgid - id учетной записи(cid договора) В ответе в дефолтной реализации передаётся {recordid:0} - всегда 0.
    Throws:
      `IOException`
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### deleteTariffSchedule

    void deleteTariffSchedule() throws Exception
    Удаление запланированного тарифа из "тарифного расписания". Вызывается перед подключением Конвергента на договоре. Никак не обрабатывается в дефолтной реализации, в ответе всегда передаётся {status:"OK"}
    Throws:
      `IOException`
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### setTariffSchedule

    void setTariffSchedule() throws Exception
    Активация/деактивация(развал пакета). В запросе передаётся vgid - id учетной записи(cid договора), taridnew - id тарифа, который нужно установить. Если taridnew=0, то происходит "развал пакета"
    Throws:
      `IOException`
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### blockVGroups

    void blockVGroups() throws Exception
    Запрос на блокировку/разблокировку учетной записи. Передаётся id учетной записи - id договора, state - on или off
    Throws:
      `IOException`
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### response

    void response(RCMtsRequestMethod requestMethod) throws Exception
    Построение ответа в зависимости от типа запроса
    Parameters:
      `requestMethod` - запрос от МТС
    Throws:
      `IOException`
      `ru.bitel.bgbilling.common.BGException`
      `Exception`